Bug 1821 - Probing of spice signals not working
Probing of spice signals not working
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: Tools:Other
1
PC Linux
: P1 major
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 05:45 UTC by strubin
Modified: 2011-04-15 20:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 05:45:10 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-04-03 17:21:32 **

/import/async/electric/bugzilla/data/bugxx xx is number of this bug

open diffamp:diffcm{sch}
plot spice listing for this cell diffcm.tr0
descend to diff@0 (left most block)
select net@0 topmost (left side wire)

Try to add this to the waveform window... can't, but it is in the
waveform browser..
Comment 1 strubin 2011-04-15 15:24:42 UTC
** ORIGINALLY POSTED BY Steven Rubin on 2008-04-08 11:36:35 **

Fixed.
Comment 2 strubin 2011-04-15 15:24:46 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-04-15 15:00:14 **

Released in v8.07h. Verify if possible.
Comment 3 strubin 2011-04-15 15:24:49 UTC
** ORIGINALLY POSTED BY Steven Rubin on 2008-04-21 13:56:13 **

The solution was to find common prefixes in the TR0 file and remove them.  But as Ivan reports, the solution sometimes removes parts of the signal name inappropriately.
Comment 4 strubin 2011-04-15 15:24:51 UTC
** ORIGINALLY POSTED BY Steven Rubin on 2008-04-21 13:57:04 **

The fix is to remove common signal prefixes only if they match the filename.
Comment 5 strubin 2011-04-15 15:24:53 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-04-25 20:02:48 **

Released in v8.07i. Verify if possible.
Comment 6 strubin 2011-04-15 15:24:56 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-05-19 22:47:06 **

Closing without being officially verified.